* tm-{irix3,mips,nindy960,pn,symmetry,vx960}.h: Move
[deliverable/binutils-gdb.git] / configure
... / ...
CommitLineData
1#!/bin/sh
2
3# Configuration script
4# Copyright (C) 1988, 1990, 1991 Free Software Foundation, Inc.
5
6#This file is part of GNU.
7
8# This program is free software; you can redistribute it and/or modify
9# it under the terms of the GNU General Public License as published by
10# the Free Software Foundation; either version 2 of the License, or
11# (at your option) any later version.
12#
13# This program is distributed in the hope that it will be useful,
14# but WITHOUT ANY WARRANTY; without even the implied warranty of
15# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
16# GNU General Public License for more details.
17#
18# You should have received a copy of the GNU General Public License
19# along with this program; if not, write to the Free Software
20# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */
21
22# $Id$
23
24# Please email any bugs, comments, and/or additions to this file to:
25# configure@cygnus.com
26
27#
28# Shell script to create proper links to machine-dependent files in
29# preparation for compilation.
30#
31# If configure succeeds, it leaves its status in config.status.
32# If configure fails after disturbing the status quo,
33# config.status is removed.
34#
35
36set -e
37
38remove=rm
39hard_link=ln
40symbolic_link='ln -s'
41
42#for Test
43#remove="echo rm"
44#hard_link="echo ln"
45#symbolic_link="echo ln -s"
46
47# clear some things potentially inherited from environment.
48
49Makefile=Makefile
50Makefile_in=Makefile.in
51ansi=
52arguments=$*
53commontargets=
54configdirs=
55defaulttargets=
56destdir=
57fatal=
58hostsubdir=
59norecursion=
60objdir=
61objdiroption=
62progname=
63recurring=
64removing=
65srcdir=
66srctrigger=
67target=
68targets=
69targetsubdir=
70verbose=
71
72for arg in $*;
73do
74 case ${arg} in
75 -ansi | +a*)
76 ansi=true
77 clib=clib
78 ;;
79 -destdir=* | +destdir=* | +destdi=* | +destd=* | +dest=* | +des=* | +de=* | +d=*)
80 destdir=`echo ${arg} | sed 's/[+-]d[a-z]*=//'`
81 ;;
82 -languages=* | +languages=* | +language=* | +languag=* \
83 | +langua=* | +langu=* | +lang=* | +lan=* | +la=* \
84 | +l=*)
85 languages="${languages} `echo ${arg} | sed 's/[+-]l[a-z]*=//'`"
86 ;;
87 -gas | +g*)
88 gas=yes
89 ;;
90 -help | +h*)
91 fatal=true
92 ;;
93 -nfp | +nf*)
94 nfp=yes
95 ;;
96 -norecursion | +no*)
97 norecursion=true
98 ;;
99 -objdir=* | +objdir=* | +objdi=* | +objd=* | +obj=* | +ob=* | +o=*)
100 objdiroption=${arg}
101 objdir=`echo ${arg} | sed 's/[+-]o[a-z]*=//'`
102 ;;
103 -recurring | +recurring | +recurrin | +recurri | +recurr | +recur | +recu | +rec | +re)
104 recurring=true
105 ;;
106 -rm | +rm)
107 removing=${arg}
108 ;;
109 -site=* | +site=* | +sit=* | +si=*)
110 site=`echo ${arg} | sed 's/[+-]s[a-z]*=//'`
111 ;;
112# -srcdir=* | +srcdir=* | +srcdi=* | +srcd=* | +src=* | +sr=*)
113# srcdir=`echo ${arg} | sed 's/[+-]s[a-z]*=//'`
114# ;;
115 -subdirs | +su*)
116 subdirs=${arg}
117 ;;
118 -target=* | +target=* | +targe=* | +targ=* | +tar=* | +ta=*)
119 if [ -n "${targets}" ] ; then
120 subdirs="+subdirs"
121 fi
122
123 newtargets="${targets} `echo ${arg} | sed 's/[+-]t[a-z]*=//'`"
124 targets="${newtargets}"
125 ;;
126 -tmpdir=* | +tmpdir=* | +tmpdi=* | +tmpd=* | +tmp=* | +tm=*)
127 tmpdiroption=${arg}
128 TMPDIR=`echo ${arg} | sed 's/[+-]t[a-z]*=//'`
129 ;;
130 -v | -verbose | +v*)
131 verbose=${arg}
132 ;;
133 -* | +*)
134 (echo ;
135 echo "Unrecognized option: \"${arg}\"". ;
136 echo) 1>&2
137 fatal=true
138 ;;
139 *)
140 if [ -n "${hosts}" ] ; then
141 subdirs="+subdirs"
142 fi
143
144 newhosts="${hosts} ${arg}"
145 hosts=${newhosts}
146 ;;
147 esac
148done
149
150if [ -n "${verbose}" ] ; then
151 echo $0 $*
152fi
153
154## this is a little touchy and won't always work, but...
155##
156## if the argv[0] starts with a slash then it is an absolute name that can be
157## used as is.
158##
159## otherwise, if argv[0] has no slash in it, we can assume that it is on the
160## path. Since PATH might include "." we also add `pwd` to the end of PATH.
161##
162## otherwise we prepend `pwd` to $0 and hope that will give us an absolute
163## path.
164##
165
166if (echo $0 | grep '^/' > /dev/null) ; then
167 progname=$0
168else
169 if (echo $0 | grep '/' > /dev/null) ; then
170 progname=`pwd`/$0
171 else
172 progname=$0
173 PATH=$PATH:`pwd` ; export PATH
174 fi
175fi
176
177configsub=`echo ${progname} | sed 's/configure\$/config.sub/'`
178
179if [ ! -f ${configsub} ] ; then
180 echo '***' cannot find config.sub.
181 echo 1
182fi
183
184# process host and target only if not removing.
185if [ -z "${removing}" -a -z "${fatal}" ] ; then
186 # Complain if an arg is missing
187 if [ -z "${hosts}" ] ; then
188 (echo ;
189 echo "configure: No HOST specified." ;
190 echo) 1>&2
191 fatal=true
192 fi
193fi
194
195if [ -n "${fatal}" -o "${hosts}" = "help" ] ; then
196 (echo "Usage: configure HOST" ;
197 echo ;
198 echo "Options: [defaults in brackets]" ;
199 echo " +ansi configure w/ANSI library. [no ansi lib]" ;
200 echo " +destdir=MYDIR configure for installation into MYDIR. [\"/usr/local\"]" ;
201 echo " +gas configure the compilers for use with gas. [native as]" ;
202 echo " +help print this message. [normal config]" ;
203 echo " +lang=LANG configure to build LANG. [gcc]" ;
204 echo " +nfp configure the compilers default to soft floating point. [hard float]" ;
205 echo " +norecursion configure this directory only. [recurse]" ;
206 echo " +objdir=ODIR configure in a parallel tree rooted in ODIR. [rooted in \".\"]" ;
207 echo " +rm remove this configuration. [build a configuration]" ;
208 echo " +site configure with site specific makefile" ;
209# This is correctly aligned in the output, even though it isn't here.
210 echo " +subdirs configure in subdirectories. [in source directories]" ;
211 echo " +target=TARGET configure for TARGET. [TARGET = HOST]" ;
212 echo " +tmpdir=TMPDIR create temporary files in TMPDIR. [ TMPDIR = \"/tmp\" ]" ;
213 echo ;
214 echo "Where HOST and TARGET are something like \"vax\", \"sun3\", \"encore\", etc." ;
215 echo "Asking for more than one \"+target\" implies \"+subdirs\". Any other" ;
216 echo "options given will apply to all targets.") 1>&2
217
218 if [ -r config.status ] ; then
219 cat config.status
220 fi
221
222 exit 1
223fi
224
225### break up configure.in.
226if [ -r configure.in ] ; then
227 if [ -z "`grep '^# per\-host:' configure.in`" ] ; then
228 echo '***' `pwd`/configure.in has no "per-host:" line. 1>&2
229 exit 1
230 fi
231
232 if [ -z "`grep '^# per\-target:' configure.in`" ] ; then
233 echo '***' `pwd`/configure.in has no "per-target:" line. 1>&2
234 exit 1
235 fi
236
237 if [ -z "${TMPDIR}" ] ; then
238 TMPDIR=/tmp ; export TMPDIR
239 fi
240
241 # split configure.in into common, per-host, per-target,
242 # and post-target parts. Post-target is optional.
243 sed -e '/^# per\-host:/,$d' configure.in > ${TMPDIR}/configure.$$.com
244 sed -e '1,/^# per\-host:/d' -e '/^# per\-target:/,$d' configure.in > ${TMPDIR}/configure.$$.hst
245 if grep -s '^# post-target:' configure.in ; then
246 sed -e '1,/^# per\-target:/d' -e '/^# post\-target:/,$d' configure.in > ${TMPDIR}/configure.$$.tgt
247 sed -e '1,/^# post\-target:/d' configure.in > ${TMPDIR}/configure.$$.pos
248 else
249 sed -e '1,/^# per\-target:/d' configure.in > ${TMPDIR}/configure.$$.tgt
250 echo >${TMPDIR}/configure.$$.pos
251 fi
252
253else
254 echo '***' No configure.in in `pwd`
255 exit 1
256fi
257
258### do common part of configure.in
259
260. ${TMPDIR}/configure.$$.com
261
262# some sanity checks on configure.in
263if [ -z "${srctrigger}" ] ; then
264 echo '***' srctrigger not set in `pwd`/configure.in.
265 exit 1
266fi
267
268for host in ${hosts} ; do
269 # Default other arg
270 if [ -z "${targets}" -o -n "${defaulttargets}" ] ; then
271 targets=${host}
272 defaulttargets=true
273 fi
274
275 host_alias=${host}
276
277 result=`${configsub} ${host}`
278 host_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
279 host_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
280 host_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
281 host=${host_cpu}-${host_vendor}-${host_os}
282 host_makefile_frag=config/hmake-${host}
283
284 . ${TMPDIR}/configure.$$.hst
285
286 for target in ${targets} ; do
287
288 target_alias=${target}
289 result=`${configsub} ${target}`
290 target_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
291 target_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
292 target_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
293 target=${target_cpu}-${target_vendor}-${target_os}
294 target_makefile_frag=config/tmake-${target}
295
296 . ${TMPDIR}/configure.$$.tgt
297
298 # Temporarily, we support only direct subdir builds.
299 hostsubdir=H-${host_alias}
300 targetsubdir=T-${target_alias}
301
302 if [ -n "${removing}" ] ; then
303 if [ -n "${objdir}" ] ; then
304 echo '***' +rm not supported for +objdir. Just \"rm -rf ${objdir}\" by hand.
305 exit 1
306 fi
307
308 if [ -n "${subdirs}" ] ; then
309 if [ -d "${hostsubdir}" ] ; then
310 rm -rf ${hostsubdir}/${targetsubdir}
311
312 if [ -z "`(ls ${hostsubdir}) 2>&1 | grep T- | grep -v T-independent`" ] ; then
313 rm -rf ${hostsubdir}
314 fi
315 else
316 echo Warning: no `pwd`/${hostsubdir} to remove.
317 fi
318 else
319 rm -f ${Makefile} config.status ${links}
320 fi
321 else
322 if [ -n "${objdir}" ]; then
323 srcdir=`pwd`
324 cd ${objdir}
325 fi
326
327 if [ -n "${subdirs}" ] ; then
328 # check for existing status before allowing forced subdirs.
329 if [ -f ${Makefile} ] ; then
330 echo '***' "${Makefile} already exists in source directory. `pwd` not configured." 1>&2
331 exit 1
332 fi
333
334 if [ ! -d ${hostsubdir} ] ; then mkdir ${hostsubdir} ; fi
335 cd ${hostsubdir}
336
337 if [ ! -d ${targetsubdir} ] ; then
338 if [ -z "${commontargets}" ] ; then
339 mkdir ${targetsubdir}
340 else
341 if [ ! -d T-independent ] ; then
342 mkdir T-independent
343 fi
344
345 ${symbolic_link} T-independent ${targetsubdir}
346 fi # if target independent
347 fi # if no target dir yet
348
349 cd ${targetsubdir}
350
351 if [ -z "${srcdir}" ] ; then
352 srcdir=../..
353 fi
354 else
355 # if not subdir builds, then make sure none exist.
356 if [ -n "`(ls .) 2>&1 | (grep H- ; true)`" ] ; then
357 echo '***' "Configured subdirs exist. `pwd` not configured." 1>&2
358 exit 1
359 else
360 true
361 fi
362 fi
363
364 # Find the source files, if location was not specified.
365 if [ -z "${srcdir}" ] ; then
366 srcdirdefaulted=1
367 srcdir=.
368 if [ -n "${srctrigger}" -a ! -r ${srctrigger} ] ; then
369 srcdir=..
370 fi
371 fi
372
373 if [ -n "${srctrigger}" -a ! -r ${srcdir}/${srctrigger} ] ; then
374 if [ -z "${srcdirdefaulted}" ] ; then
375 echo '***' "${progname}: Can't find ${srcname} sources in `pwd`/${srcdir}" 1>&2
376 else
377 echo '***' "${progname}: Can't find ${srcname} sources in `pwd`/. or `pwd`/.." 1>&2
378 fi
379
380 echo '***' \(At least ${srctrigger} is missing.\) 1>&2
381 exit 1
382 fi
383
384 # Set up the list of links to be made.
385 # ${links} is the list of link names, and ${files} is the list of names to link to.
386
387 # Make the links.
388 while [ -n "${files}" ] ; do
389 # set file to car of files, files to cdr of files
390 set ${files}; file=$1; shift; files=$*
391 set ${links}; link=$1; shift; links=$*
392
393 if [ ! -r ${srcdir}/${file} ] ; then
394 echo '***' "${progname}: cannot create a link \"${link}\"," 1>&2
395 echo '***' "since the file \"${file}\" does not exist." 1>&2
396 exit 1
397 fi
398
399 ${remove} -f ${link}
400 rm -f config.status
401 # Make a symlink if possible, otherwise try a hard link
402 ${symbolic_link} ${srcdir}/${file} ${link} 2>/dev/null || ${hard_link} ${srcdir}/${file} ${link}
403
404 if [ ! -r ${link} ] ; then
405 echo '***' "${progname}: unable to link \"${link}\" to \"${srcdir}/${file}\"." 1>&2
406 exit 1
407 fi
408
409 if [ -n "${verbose}" ] ; then
410 echo "Linked \"${link}\" to \"${srcdir}/${file}\"."
411 fi
412 done
413
414 # Create a .gdbinit file which runs the one in srcdir
415 # and tells GDB to look there for source files.
416
417 case ${srcdir} in
418 .)
419 ;;
420 *)
421 echo "dir ." > .gdbinit
422 echo "dir ${srcdir}" >> .gdbinit
423 echo "source ${srcdir}/.gdbinit" >> .gdbinit
424 ;;
425 esac
426
427 # Install a makefile, and make it set VPATH
428 # if necessary so that the sources are found.
429 # Also change its value of srcdir.
430
431 # FIXME-someday: This business of always writing to .tem and mv back
432 # is so that I don't screw things up while developing. Once this
433 # template is stable, these should be optimized. xoxorich.
434
435 # Define macro CROSS_COMPILE in compilation if this is a cross-compiler.
436 if [ "${host}" != "${target}" ] ; then
437 echo "CROSS=-DCROSS_COMPILE" > ${Makefile}
438 echo "ALL=start.encap" >> ${Makefile}
439 else
440 echo "ALL=all.internal" > ${Makefile}
441 fi
442
443 # set target, host, VPATH
444 echo "host_alias = ${host_alias}" >> ${Makefile}
445 echo "host_cpu = ${host_cpu}" >> ${Makefile}
446 echo "host_vendor = ${host_vendor}" >> ${Makefile}
447 echo "host_os = ${host_os}" >> ${Makefile}
448
449 echo "target_alias = ${target_alias}" >> ${Makefile}
450 echo "target_cpu = ${target_cpu}" >> ${Makefile}
451 echo "target_vendor = ${target_vendor}" >> ${Makefile}
452 echo "target_os = ${target_os}" >> ${Makefile}
453
454 if [ -n "${subdirs}" ] ; then
455 (echo "subdir = /${hostsubdir}/${targetsubdir}" ;
456 echo "unsubdir = ../..") >> ${Makefile}
457 else
458 (echo "subdir =" ;
459 echo "unsubdir = .") >> ${Makefile}
460 fi
461
462 # echo "workdir = `pwd`" >> ${Makefile}
463 echo "VPATH = ${srcdir}" >> ${Makefile}
464
465 # add "Makefile.in" (or whatever it's called)
466 cat ${srcdir}/${Makefile_in} >> ${Makefile}
467
468 # Conditionalize the makefile for this host.
469 if [ -f ${srcdir}/${host_makefile_frag} ] ; then
470 (echo "host_makefile_frag = ${srcdir}/${host_makefile_frag}" ;
471 sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile}) > Makefile.tem
472 mv Makefile.tem ${Makefile}
473 fi
474
475 # Conditionalize the makefile for this target.
476 if [ -f ${srcdir}/${target_makefile_frag} ] ; then
477 (echo "target_makefile_frag = ${srcdir}/${target_makefile_frag}" ;
478 sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile}) > Makefile.tem
479 mv Makefile.tem ${Makefile}
480 fi
481
482 # Conditionalize the makefile for this site.
483 if [ -n "${site}" ] ; then
484 site_makefile_frag=smake-${site}
485
486 if [ -f ${srcdir}/${site_makefile_frag} ] ; then
487 (echo "site_makefile_frag = ${srcdir}/${site_makefile_frag}" ;
488 sed -e "/^####/ r ${srcdir}/${site_makefile_frag}" ${Makefile}) > Makefile.tem
489 mv Makefile.tem ${Makefile}
490 fi
491 fi
492
493 # set srcdir
494 sed "s@^srcdir = \.@srcdir = ${srcdir}@" ${Makefile} > Makefile.tem
495 mv Makefile.tem ${Makefile}
496
497 # set destdir
498 if [ -n "${destdir}" ] ; then
499 sed "s:^destdir =.*$:destdir = ${destdir}:" ${Makefile} > Makefile.tem
500 mv Makefile.tem ${Makefile}
501 fi
502
503 # reset SUBDIRS
504 sed "s:^SUBDIRS =.*$:SUBDIRS = ${configdirs}:" ${Makefile} > Makefile.tem
505 mv Makefile.tem ${Makefile}
506
507 # reset NONSUBDIRS
508 sed "s:^NONSUBDIRS =.*$:NONSUBDIRS = ${noconfigdirs}:" ${Makefile} > Makefile.tem
509 mv Makefile.tem ${Makefile}
510
511 # remove any form feeds.
512 sed -e "s/\f//" ${Makefile} > Makefile.tem
513 mv Makefile.tem ${Makefile}
514
515 using=
516 if [ -f ${srcdir}/${host_makefile_frag} ] ; then
517 using=" using \"${host_makefile_frag}\""
518 fi
519
520 if [ -f ${srcdir}/${target_makefile_frag} ] ; then
521 if [ -z "${using}" ] ; then
522 andusing=" using \"${target_makefile_frag}\""
523 else
524 andusing="${using} and \"${target_makefile_frag}\""
525 fi
526 else
527 andusing=${using}
528 fi
529
530 if [ -f ${srcdir}/${site_makefile_frag} ] ; then
531 if [ -z "${andusing}" ] ; then
532 andandusing=" using \"${site_makefile_frag}\""
533 else
534 andandusing="${andusing} and \"${site_makefile_frag}\""
535 fi
536 else
537 andandusing=${andusing}
538 fi
539
540 if [ -n "${verbose}" -o -z "${recurring}" ] ; then
541 echo "Created \"${Makefile}\"" in `pwd`${andandusing}.
542 fi
543
544 if [ -f ${TMPDIR}/configure.$$.pos ] ; then
545 . ${TMPDIR}/configure.$$.pos
546 fi
547
548 # describe the chosen configuration in config.status.
549 # Make that file a shellscript which will reestablish
550 # the same configuration. Used in Makefiles to rebuild
551 # Makefiles.
552
553 echo "#!/bin/sh
554# `pwd` was configured as follows:
555(cd ${srcdir} ; ${progname}" ${arguments} `if [ -z "${norecursion}" ] ; then echo +norecursion ; else true ; fi` ")" > config.status
556 chmod a+x config.status
557
558 originaldir=`pwd`
559 cd ${srcdir}
560 fi
561
562 # If there are subdirectories, then recurse.
563 if [ -z "${norecursion}" -a -n "${configdirs}" ] ; then
564 for configdir in ${configdirs} ; do
565 if [ -n "${verbose}" ] ; then
566 echo Configuring ${configdir}...
567 fi
568
569 if [ -d ${configdir} ] ; then
570 if [ -n "${objdir}" ] ; then
571 if [ ! -d ${objdir}/${configdir} ] ; then
572 mkdir ${objdir}/${configdir}
573 fi
574 fi
575
576 POPDIR=`pwd`
577 cd ${configdir}
578
579 ${progname} +recurring ${host_alias} +target=${target_alias} \
580 ${verbose} ${subdirs} ${removing} +destdir=${destdir} \
581 `if [ -n "${objdir}" ] ; then echo +objdir=${objdir}/${configdir} ; fi` \
582 ${tmpdiroption}
583
584 cd ${POPDIR}
585
586# (cd ${configdir} ;
587# if (${progname} +recurring ${host_alias} +target=${target_alias} \
588# ${verbose} ${subdirs} ${removing} +destdir=${destdir} \
589# `if [ -n "${objdir}" ] ; then echo +objdir=${objdir}/${configdir} ; fi` \
590# ${tmpdiroption}) ; then true ; else exit 1 ; fi) \
591# | sed 's/^/ /'
592 else
593 if [ -n "${verbose}" ] ; then
594 echo Warning: directory \"${configdir}\" is missing.
595 fi
596 fi
597 done
598 fi
599 done # for each target
600
601 # Now build a Makefile for this host.
602 if [ -n "${subdirs}" -a ! -n "${removing}" ] ; then
603 push=`pwd`
604
605 if [ -n "${objdir}" ] ; then
606 cd ${objdir}
607 fi
608
609 cd ${hostsubdir}
610 cat > GNUmakefile << E!O!F
611# Makefile generated by configure for host ${host_alias}.
612
613ALL := $(shell ls -d T-*)
614
615%:
616 $(foreach subdir,$(ALL),$(MAKE) -C $(subdir) \$@ &&) true
617
618all:
619E!O!F
620 cd ${push}
621 fi
622done # for each host
623
624### clean up.
625
626rm -f ${TMPDIR}/configure.$$.com ${TMPDIR}/configure.$$.tgt ${TMPDIR}/configure.$$.hst ${TMPDIR}/configure.$$.pos
627
628exit 0
629
630#
631#
632# $Log$
633# Revision 1.55 1991/10/10 04:57:23 rich
634# * Die when sub-configure's do.
635# * get the makefile building message line correct.
636# * set -e
637#
638# Revision 1.54 1991/10/10 01:04:42 rich
639# Backed out the "/bin/sh config.sub" change. Fails when config.sub was
640# on PATH.
641#
642# Revision 1.53 1991/10/10 00:38:08 rich
643# Call config.sub as "/bin/sh config.sub" instead of directly. This
644# protects us from the case where config.sub isn't executable.
645#
646# Revision 1.52 1991/10/09 00:48:26 rich
647# Another patch from jim.
648#
649# Revision 1.51 1991/10/08 06:07:58 wilson
650# Fix bug in smake- file code.
651#
652# Revision 1.50 1991/10/04 23:49:37 rich
653# Per's patch for my config.sub botch.
654#
655# Revision 1.49 1991/10/04 22:52:09 rich
656# Use john's heuristic for finding ourselves. kinda like hare krishna.
657#
658# Revision 1.48 1991/10/02 13:17:28 rich
659# take out the set -e for now
660#
661# Revision 1.47 1991/10/02 10:02:23 rich
662# * temporary files in TMPDIR
663# * +objdir
664#
665# Revision 1.46 1991/10/02 06:29:53 rich
666# Added +site=foo option for naming site specific Makefile fragments.
667#
668# Revision 1.45 1991/10/02 06:15:13 rich
669# Removed +f option. Used to stand for +forcesubdirs which is now
670# called +subdirs.
671#
672# Revision 1.44 1991/10/02 06:02:35 rich
673# Added rcs log line.
674#
675#
676#
677
678#
679# Local Variables:
680# fill-column: 131
681# End:
682#
683
684# end of configure
This page took 0.024841 seconds and 4 git commands to generate.